/* DioTest.c WinSystems PCM-MIO-AD driver Demonstration Program
*
*  $Header$
*
*  $Id$
*
*  $Log$
*
*
*  Compile with :
*
*
*	gcc diotest.c mio_io.o -o diotest
*
*   This very simple program changes the specified port using byte 
*	and bit functions.
* 
*/

#include <stdio.h>
#include <stdlib.h>
#include "mioad_io.h"

main(int argc, char *argv[])
{
int x;
int dev;
int reg;

	if (argc !=3)
	{
		printf("\nUsage: diotest <devnum> <regnum>\n");
		printf("  diotest 1 5\n");
		exit(1);
	}

	dev = atoi(argv[1]);
	reg = atoi(argv[2]);

	x = dio_read_bit(dev, 1);	/* Just a test for availability */
	if(mio_error_code)
	{

		/* Print the error and exit, if one occurs */

		printf("\n%s\n",mio_error_string);
		exit(1);
	}

	printf("DIO Test - Verify bit and byte manipulation.\n");

	printf("Port %d = 0x%02X\n", reg, read_dio_byte(dev, reg));

	printf("Write 0xA5 to Port %d...", reg);
	write_dio_byte(dev, reg, 0xa5);
	printf("Port %d = 0x%02X\n", reg, read_dio_byte(dev, reg));

	printf("Clear bit 0 of Port %d...", reg);
	dio_write_bit(dev, reg * 8 + 1, 0);
	printf("Port %d = 0x%02X\n", reg, read_dio_byte(dev, reg));

	printf("Set bit 6 of Port %d...", reg);
	dio_write_bit(dev, reg * 8 + 6, 1);
	printf("Port %d = 0x%02X\n", reg, read_dio_byte(dev, reg));

	printf("Write 0xC3 to Port %d...", reg);
	write_dio_byte(dev, reg, 0xc3);
	printf("Port %d = 0x%02X\n", reg, read_dio_byte(dev, reg));

	printf("\n");
}
