/* getvolt.c WinSystems PCM-MIO-AD driver Demonstration Program
*
*  $Header$
*
*  $Id$
*
*  $Log$
*
*
*  Compile with :
*
*
*	gcc getvolt.c mio_io.o -o getvolt
*
*
*	This program demonstrates the adc_auto_get_channel_voltage
*	function. It reads the voltage on the channel specified
*	prints the value and then exits.
* 
*/

#include <stdio.h>
#include <stdlib.h>
#include "mioad_io.h"

main(int argc, char *argv[])
{
int dev = 0;
int channel = 0;
float result;

	if (argc !=3)
	{
		printf("\nUsage: getvolt <devnum> <channel>\n");
		printf("  getvolt 0 2\n");
		exit(1);
	}

	dev = atoi(argv[1]);
	channel = atoi(argv[2]);

	/* We'll let the driver validate the channel number */

	result = adc_auto_get_channel_voltage(dev,channel);

	/* Check for an error */

	if(mio_error_code)
	{

		/* If an error occured. Display the error and exit */

		printf("%s\n",mio_error_string);
		exit(1);
	}

	/* Print the results */

	printf(" Device %d : Channel %d  =  %9.4f\n",dev,channel,result);
}
